-- Structure de la table `service`
CREATE TABLE IF NOT EXISTS `service` (
  `id` tinyint(2) NOT NULL AUTO_INCREMENT,
  `designation` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

-- Contenu de la table `service`
INSERT INTO `service` (`id`, `designation`) VALUES
(2, 'commercial'),
(3, 'gestion'),
(4, 'administration');

-- Structure de la table `personnel`
CREATE TABLE IF NOT EXISTS `personnel` (
  `matricule` char(4) NOT NULL,
  `nom` varchar(25) DEFAULT NULL,
  `prenom` varchar(20) DEFAULT NULL,
  `datenaiss` date DEFAULT NULL,
  `ville` varchar(40) NOT NULL,
  `resp` tinyint(1) NOT NULL DEFAULT '0',
  `idserv` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`matricule`),
  FOREIGN KEY (`idserv`) REFERENCES `service` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Contenu de la table `personnel`
INSERT INTO `personnel` (`matricule`, `nom`, `prenom`, `datenaiss`, `ville`, `resp`, `idserv`) VALUES
('0002', 'Piron', 'Lise', '1962-10-11', 'Voiron', 1, 2),
('0003', 'Lecompte', 'Julien', '1960-03-19', 'Rives', 1, 3),
('0004', 'Dupneu', 'Raymond', '1974-02-03', 'Voiron', 0, 2),
('0005', 'Bellemin', 'Laure', NULL, 'Rives', 0, 2);

-- Contraintes pour la table `personnel`
-- ALTER TABLE `personnel`
--   ADD CONSTRAINT `personnel_ibfk_1` FOREIGN KEY (`idserv`) REFERENCES `service` (`id`);
